diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index c5f98c3a46..9868b5fa02 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -487,55 +487,58 @@ (define-public python-3.10
                 (format #f "TESTOPTS=-j~d" (parallel-job-count))
                 ;; test_mmap fails on low-memory systems
                 " --exclude test_mmap test_socket"
-                ,@(if (system-hurd?)
-                      '(" test_posix"      ;multiple errors
-                        " test_time"
-                        " test_pty"
-                        " test_shutil"
-                        " test_tempfile"   ;chflags: invalid argument:
-                                           ;  tbv14c9t/dir0/dir0/dir0/test0.txt
-                        " test_asyncio"    ;runs over 10min
-                        " test_os"         ;stty: 'standard input':
-                                           ;  Inappropriate ioctl for device
-                        " test_openpty"    ;No such file or directory
-                        " test_selectors"  ;assertEqual(NUM_FDS // 2, len(fds))
-                                           ;  32752 != 4
-                        " test_compileall" ;multiple errors
-                        " test_poll"       ;list index out of range
-                        " test_subprocess" ;runs over 10min
-                        " test_asyncore"   ;multiple errors
-                        " test_threadsignals"
-                        " test_eintr"      ;Process return code is -14
-                        " test_io"         ;multiple errors
-                        " test_logging"
-                        " test_signal"
-                        " test_threading"  ;runs over 10min
-                        " test_flags"      ;ERROR
-                        " test_bidirectional_pty"
-                        " test_create_unix_connection"
-                        " test_unix_sock_client_ops"
-                        " test_open_unix_connection"
-                        " test_open_unix_connection_error"
-                        " test_read_pty_output"
-                        " test_write_pty"
-                        " test_concurrent_futures" ;freeze
-                        " test_venv"       ;freeze
-                        " test_multiprocessing_forkserver" ;runs over 10min
-                        " test_multiprocessing_spawn" ;runs over 10min
-                        " test_builtin"
-                        " test_capi"
-                        " test_dbm_ndbm"
-                        " test_exceptions"
-                        " test_faulthandler"
-                        " test_getopt"
-                        " test_importlib"
-                        " test_json"
-                        " test_multiprocessing_fork"
-                        " test_multiprocessing_main_handling"
-                        " test_pdb "
-                        " test_regrtest"
-                        " test_sqlite")
-                      '()))))
+                ,@(cond
+                   ((target-aarch64?)
+                    '(" test_asyncio"))   ;ConnectionError
+                   ((system-hurd?)
+                    '(" test_posix"      ;multiple errors
+                      " test_time"
+                      " test_pty"
+                      " test_shutil"
+                      " test_tempfile"   ;chflags: invalid argument:
+                                        ;  tbv14c9t/dir0/dir0/dir0/test0.txt
+                      " test_asyncio"    ;runs over 10min
+                      " test_os"         ;stty: 'standard input':
+                                        ;  Inappropriate ioctl for device
+                      " test_openpty"    ;No such file or directory
+                      " test_selectors"  ;assertEqual(NUM_FDS // 2, len(fds))
+                                        ;  32752 != 4
+                      " test_compileall" ;multiple errors
+                      " test_poll"       ;list index out of range
+                      " test_subprocess" ;runs over 10min
+                      " test_asyncore"   ;multiple errors
+                      " test_threadsignals"
+                      " test_eintr"      ;Process return code is -14
+                      " test_io"         ;multiple errors
+                      " test_logging"
+                      " test_signal"
+                      " test_threading"  ;runs over 10min
+                      " test_flags"      ;ERROR
+                      " test_bidirectional_pty"
+                      " test_create_unix_connection"
+                      " test_unix_sock_client_ops"
+                      " test_open_unix_connection"
+                      " test_open_unix_connection_error"
+                      " test_read_pty_output"
+                      " test_write_pty"
+                      " test_concurrent_futures" ;freeze
+                      " test_venv"       ;freeze
+                      " test_multiprocessing_forkserver" ;runs over 10min
+                      " test_multiprocessing_spawn" ;runs over 10min
+                      " test_builtin"
+                      " test_capi"
+                      " test_dbm_ndbm"
+                      " test_exceptions"
+                      " test_faulthandler"
+                      " test_getopt"
+                      " test_importlib"
+                      " test_json"
+                      " test_multiprocessing_fork"
+                      " test_multiprocessing_main_handling"
+                      " test_pdb "
+                      " test_regrtest"
+                      " test_sqlite"))
+                   (else '())))))
        ((#:phases phases)
         `(modify-phases ,phases
            ,@(if (system-hurd?)