diff --git a/gnu/packages/crates-check.scm b/gnu/packages/crates-check.scm
index a6b839c53ba..f3830fd4f85 100644
--- a/gnu/packages/crates-check.scm
+++ b/gnu/packages/crates-check.scm
@@ -36,11 +36,13 @@ (define-module (gnu packages crates-check)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
   #:use-module (guix utils)
+  #:use-module (gnu packages compression)
   #:use-module (gnu packages crates-compression)
   #:use-module (gnu packages crates-crypto)
   #:use-module (gnu packages crates-io)
   #:use-module (gnu packages crates-web)
-  #:use-module (gnu packages crates-windows))
+  #:use-module (gnu packages crates-windows)
+  #:use-module (gnu packages pkg-config))
 
 (define-public rust-criterion-0.5
   (package
@@ -624,6 +626,111 @@ (define-public rust-nextest-metadata-0.12
 machine-readable output.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-nextest-runner-0.70
+  (package
+    (name "rust-nextest-runner")
+    (version "0.70.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nextest-runner" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1rg6hf8jbn82rv61m9f0yjjmz7bra8mgsilmidiq085sjsi7ymq4"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f
+       #:cargo-inputs
+       (("rust-aho-corasick" ,rust-aho-corasick-1)
+        ("rust-async-scoped" ,rust-async-scoped-0.9)
+        ("rust-atomicwrites" ,rust-atomicwrites-0.4)
+        ("rust-bstr" ,rust-bstr-1)
+        ("rust-bytes" ,rust-bytes-1)
+        ("rust-camino" ,rust-camino-1)
+        ("rust-camino-tempfile" ,rust-camino-tempfile-1)
+        ("rust-cargo-metadata" ,rust-cargo-metadata-0.19)
+        ("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-chrono" ,rust-chrono-0.4)
+        ("rust-config" ,rust-config-0.14)
+        ("rust-console-subscriber" ,rust-console-subscriber-0.4)
+        ("rust-crossterm" ,rust-crossterm-0.28)
+        ("rust-debug-ignore" ,rust-debug-ignore-1)
+        ("rust-derive-where" ,rust-derive-where-1)
+        ("rust-duct" ,rust-duct-0.13)
+        ("rust-dunce" ,rust-dunce-1)
+        ("rust-future-queue" ,rust-future-queue-0.3)
+        ("rust-futures" ,rust-futures-0.3)
+        ("rust-guppy" ,rust-guppy-0.17)
+        ("rust-hex" ,rust-hex-0.4)
+        ("rust-home" ,rust-home-0.5)
+        ("rust-http" ,rust-http-1)
+        ("rust-humantime-serde" ,rust-humantime-serde-1)
+        ("rust-indent-write" ,rust-indent-write-2)
+        ("rust-indexmap" ,rust-indexmap-2)
+        ("rust-indicatif" ,rust-indicatif-0.17)
+        ("rust-is-ci" ,rust-is-ci-1)
+        ("rust-itertools" ,rust-itertools-0.13)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-miette" ,rust-miette-7)
+        ("rust-mukti-metadata" ,rust-mukti-metadata-0.3)
+        ("rust-newtype-uuid" ,rust-newtype-uuid-1)
+        ("rust-nextest-filtering" ,rust-nextest-filtering-0.12)
+        ("rust-nextest-metadata" ,rust-nextest-metadata-0.12)
+        ("rust-nextest-workspace-hack" ,rust-nextest-workspace-hack-0.1)
+        ("rust-nix" ,rust-nix-0.29)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-owo-colors" ,rust-owo-colors-4)
+        ("rust-pin-project-lite" ,rust-pin-project-lite-0.2)
+        ("rust-quick-junit" ,rust-quick-junit-0.5)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-self-update" ,rust-self-update-0.41)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-serde-path-to-error" ,rust-serde-path-to-error-0.1)
+        ("rust-sha2" ,rust-sha2-0.10)
+        ("rust-shell-words" ,rust-shell-words-1)
+        ("rust-smallvec" ,rust-smallvec-1)
+        ("rust-smol-str" ,rust-smol-str-0.3)
+        ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.2)
+        ("rust-supports-unicode" ,rust-supports-unicode-3)
+        ("rust-swrite" ,rust-swrite-0.1)
+        ("rust-tar" ,rust-tar-0.4)
+        ("rust-target-spec" ,rust-target-spec-3)
+        ("rust-target-spec-miette" ,rust-target-spec-miette-0.4)
+        ("rust-thiserror" ,rust-thiserror-2)
+        ("rust-tokio" ,rust-tokio-1)
+        ("rust-tokio-stream" ,rust-tokio-stream-0.1)
+        ("rust-toml" ,rust-toml-0.8)
+        ("rust-toml-edit" ,rust-toml-edit-0.22)
+        ("rust-tracing" ,rust-tracing-0.1)
+        ("rust-tracing-subscriber" ,rust-tracing-subscriber-0.3)
+        ("rust-unicode-ident" ,rust-unicode-ident-1)
+        ("rust-unicode-normalization" ,rust-unicode-normalization-0.1)
+        ("rust-win32job" ,rust-win32job-2)
+        ("rust-windows-sys" ,rust-windows-sys-0.59)
+        ("rust-xxhash-rust" ,rust-xxhash-rust-0.8)
+        ("rust-zstd" ,rust-zstd-0.13))
+       #:cargo-development-inputs
+       (("rust-color-eyre" ,rust-color-eyre-0.6)
+        ("rust-indoc" ,rust-indoc-2)
+        ("rust-insta" ,rust-insta-1)
+        ("rust-maplit" ,rust-maplit-1)
+        ("rust-pathdiff" ,rust-pathdiff-0.2)
+        ("rust-pretty-assertions" ,rust-pretty-assertions-1)
+        ("rust-proptest" ,rust-proptest-1)
+        ("rust-test-case" ,rust-test-case-3)
+        ("rust-test-strategy" ,rust-test-strategy-0.4))))
+    (native-inputs (list pkg-config))
+    (inputs (list (list zstd "lib")))
+    (home-page "https://github.com/nextest-rs/nextest")
+    (synopsis "Core runner logic for cargo nextest")
+    (description
+     "This package provides core runner logic for cargo nextest.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-nextest-workspace-hack-0.1
   (package
     (name "rust-nextest-workspace-hack")