diff --git a/gnu/packages/openstack.scm b/gnu/packages/openstack.scm
index 80fad32068..e78a1f614f 100644
--- a/gnu/packages/openstack.scm
+++ b/gnu/packages/openstack.scm
@@ -396,11 +396,11 @@ (define-public python-tempest
                              python-fixtures
                              python-jsonschema
                              python-netaddr
-                             python-oslo.concurrency
-                             python-oslo.config
-                             python-oslo.log
-                             python-oslo.serialization
-                             python-oslo.utils
+                             python-oslo-concurrency
+                             python-oslo-config
+                             python-oslo-log
+                             python-oslo-serialization
+                             python-oslo-utils
                              python-paramiko
                              python-prettytable
                              python-pyyaml
@@ -447,7 +447,7 @@ (define-public python-tempest-lib
             python-httplib2
             python-iso8601
             python-jsonschema
-            python-oslo.log
+            python-oslo-log
             python-paramiko
             python-six))
     (native-inputs
@@ -465,9 +465,9 @@ (define-public python-tempest-lib
 ;;; Packages from the Oslo library
 ;;;
 
-(define-public python-oslo.concurrency
+(define-public python-oslo-concurrency
   (package
-    (name "python-oslo.concurrency")
+    (name "python-oslo-concurrency")
     (version "5.0.0")
     (source (origin
               (method url-fetch)
@@ -500,8 +500,8 @@ (define-public python-oslo.concurrency
                          python-fixtures
                          python-stestr
                          python-eventlet))
-    (propagated-inputs (list python-fasteners python-oslo.config
-                             python-oslo.i18n python-oslo.utils))
+    (propagated-inputs (list python-fasteners python-oslo-config
+                             python-oslo-i18n python-oslo-utils))
     (home-page "https://docs.openstack.org/oslo.concurrency/latest/")
     (synopsis "Oslo Concurrency library")
     (description "The Oslo Concurrency Library provides utilities for safely
@@ -509,9 +509,9 @@ (define-public python-oslo.concurrency
 for running external processes.")
     (license asl2.0)))
 
-(define-public python-oslo.config
+(define-public python-oslo-config
   (package
-    (name "python-oslo.config")
+    (name "python-oslo-config")
     (version "8.7.1")
     (source
      (origin
@@ -525,7 +525,7 @@ (define-public python-oslo.config
     (propagated-inputs
      (list python-debtcollector
            python-netaddr
-           python-oslo.i18n
+           python-oslo-i18n
            python-rfc3986
            python-requests
            python-stevedore
@@ -537,9 +537,9 @@ (define-public python-oslo.config
 .ini style configuration files.")
     (license asl2.0)))
 
-(define-public python-oslo.context
+(define-public python-oslo-context
   (package
-    (name "python-oslo.context")
+    (name "python-oslo-context")
     (version "5.0.0")
     (source
      (origin
@@ -576,9 +576,9 @@ (define-public python-oslo.context
 pipeline and used by various modules such as logging.")
     (license asl2.0)))
 
-(define-public python-oslo.i18n
+(define-public python-oslo-i18n
   (package
-    (name "python-oslo.i18n")
+    (name "python-oslo-i18n")
     (version "3.20.0")
     (source
      (origin
@@ -602,9 +602,9 @@ (define-public python-oslo.i18n
 in an application or library.")
     (license asl2.0)))
 
-(define-public python-oslo.log
+(define-public python-oslo-log
   (package
-  (name "python-oslo.log")
+  (name "python-oslo-log")
   (version "5.0.0")
   (source
     (origin
@@ -622,11 +622,11 @@ (define-public python-oslo.log
   (propagated-inputs
    (list python-dateutil
          python-debtcollector
-         python-oslo.config
-         python-oslo.context
-         python-oslo.i18n
-         python-oslo.utils
-         python-oslo.serialization
+         python-oslo-config
+         python-oslo-context
+         python-oslo-i18n
+         python-oslo-utils
+         python-oslo-serialization
          python-pyinotify))
   (native-inputs
    (list python-fixtures python-oslotest python-stestr python-testtools
@@ -639,9 +639,9 @@ (define-public python-oslo.log
 handlers and support for context specific logging (like resource id’s etc).")
   (license asl2.0)))
 
-(define-public python-oslo.serialization
+(define-public python-oslo-serialization
   (package
-    (name "python-oslo.serialization")
+    (name "python-oslo-serialization")
     (version "4.2.0")
     (source
      (origin
@@ -657,10 +657,10 @@ (define-public python-oslo.serialization
                     (lambda* (#:key tests? #:allow-other-keys)
                       (when tests? (invoke "stestr" "run")))))))
     (propagated-inputs
-      (list python-msgpack python-oslo.utils python-pbr python-pytz))
+      (list python-msgpack python-oslo-utils python-pbr python-pytz))
     (native-inputs
      ;; For tests.
-      (list python-netaddr python-oslo.i18n python-oslotest python-stestr))
+      (list python-netaddr python-oslo-i18n python-oslotest python-stestr))
     (home-page "https://launchpad.net/oslo")
     (synopsis "Oslo serialization library")
     (description
@@ -767,9 +767,9 @@ (define-public python-oslotest
 for debugging, and better support for mocking results.")
     (license asl2.0)))
 
-(define-public python-oslo.utils
+(define-public python-oslo-utils
   (package
-    (name "python-oslo.utils")
+    (name "python-oslo-utils")
     (version "4.12.0")
     (source
       (origin
@@ -786,7 +786,7 @@ (define-public python-oslo.utils
                       (when tests? (invoke "stestr" "run")))))))
     (propagated-inputs
       (list python-debtcollector
-            python-oslo.i18n
+            python-oslo-i18n
             python-iso8601
             python-netaddr
             python-netifaces
@@ -853,8 +853,8 @@ (define-public python-keystoneauth1
                          python-hacking
                          python-lxml
                          python-oauthlib
-                         python-oslo.config
-                         python-oslo.utils
+                         python-oslo-config
+                         python-oslo-utils
                          python-oslotest
                          python-pbr
                          python-pyyaml
@@ -917,10 +917,10 @@ (define-public python-keystoneclient
            python-iso8601
            python-keystoneauth1
            python-netaddr
-           python-oslo.config
-           python-oslo.i18n
-           python-oslo.serialization
-           python-oslo.utils
+           python-oslo-config
+           python-oslo-i18n
+           python-oslo-serialization
+           python-oslo-utils
            python-prettytable
            python-requests
            python-six
@@ -1081,7 +1081,7 @@ (define-public python-openstacksdk
                          python-statsd
                          python-stestr
                          python-testscenarios
-                         python-oslo.config
+                         python-oslo-config
                          python-oslotest))
     (propagated-inputs (list python-appdirs
                              python-cryptography