diff --git a/gnu/packages/image-processing.scm b/gnu/packages/image-processing.scm
index 4ddb01f450..a89874fc06 100644
--- a/gnu/packages/image-processing.scm
+++ b/gnu/packages/image-processing.scm
@@ -1386,137 +1386,6 @@ (define-public insight-toolkit-4.12
         ;; error: ISO C++17 does not allow dynamic exception specifications
         #~(cons* "-DCMAKE_CXX_FLAGS=-std=c++14" #$cf))))))
 
-(define-public itk-snap
-  (package
-    (name "itk-snap")
-    (version "3.8.0")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://git.code.sf.net/p/itk-snap/src")
-             (commit (string-append "v" version))))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32 "15i5ixpryfrbf3vrrb5rici8fb585f25k0v1ljds16bp1f1msr4q"))
-       (patches (search-patches "itk-snap-alt-glibc-compat.patch"))))
-    (build-system cmake-build-system)
-    (arguments
-     `(#:configure-flags
-       (list "-DSNAP_VERSION_GIT_SHA1=release"
-             "-DSNAP_VERSION_GIT_BRANCH=release"
-             "-DSNAP_VERSION_GIT_TIMESTAMP=0"
-             "-DSNAP_PACKAGE_QT_PLUGINS=OFF"
-             "-DCMAKE_POSITION_INDEPENDENT_CODE=ON")
-       #:phases
-       (modify-phases %standard-phases
-         ;; During the installation phase all libraries provided by all
-         ;; dependencies will be copied to the lib directory.  That's insane,
-         ;; so we disable this.
-         (add-after 'unpack 'do-not-copy-dependencies
-           (lambda _
-             (substitute* "CMakeLists.txt"
-               (("install_qt5_executable\
-\\(\\$\\{SNAP_MAIN_INSTALL_DIR\\}/\\$\\{SNAP_EXE\\}\\)")
-                ""))))
-         (add-after 'unpack 'disable-gui-tests
-           (lambda _
-             ;; The GUI tests just time out.
-             (substitute* "CMakeLists.txt"
-               (("  (Workspace|DiffSpace|ProbeIntensity|RegionCompetition\
-|RandomForest|RandomForestBailOut)")
-                ""))))
-         (add-after 'unpack 'make-reproducible
-           (lambda _
-             (substitute* "CMakeLists.txt"
-               (("TODAY\\(SNAP_VERSION_COMPILE_DATE\\)")
-                "SET(SNAP_VERSION_COMPILE_DATE \"(removed for reproducibility)\")"))))
-         (add-after 'unpack 'prepare-submodules
-           (lambda* (#:key inputs #:allow-other-keys)
-             (rmdir "Submodules/c3d")
-             (copy-recursively (assoc-ref inputs "c3d-src")
-                               "Submodules/c3d")
-             (substitute* '("Submodules/c3d/adapters/BiasFieldCorrectionN4.cxx"
-                            "Submodules/c3d/adapters/ApplyMetric.cxx")
-               (("vcl_") "std::"))
-             (rmdir "Submodules/greedy")
-             (symlink (assoc-ref inputs "greedy-src")
-                      "Submodules/greedy")))
-         (add-after 'unpack 'fix-includes
-           (lambda _
-             (substitute* "GUI/Model/RegistrationModel.cxx"
-               (("<vnl_symmetric_eigensystem.h>")
-                "<vnl/algo/vnl_symmetric_eigensystem.h>"))))
-         (add-before 'check 'prepare-tests
-           (lambda _
-             ;; Needed by at least one test.
-             (setenv "HOME" "/tmp")))
-         (add-after 'install 'wrap-executable
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out")))
-               (wrap-program (string-append out "/bin/itksnap")
-                 `("QT_PLUGIN_PATH" ":" prefix
-                   ,(map (lambda (label)
-                           (string-append (assoc-ref inputs label)
-                                          "/lib/qt5/plugins"))
-                         '("qtbase" "qtdeclarative-5"))))))))))
-    (inputs
-     (list bash-minimal
-           curl
-           fftw
-           fftwf
-           glu
-           hdf5
-           mesa-opencl
-           ;; This package does not build with either insight-toolkit 5.0.0
-           ;; and not with 4.13.  It really needs to be 4.12.
-           insight-toolkit-4.12
-           vtk-7
-           qtbase-5
-           qtdeclarative-5
-           vxl-1
-           zlib))
-    (native-inputs
-     `(("googletest" ,googletest)
-       ("qttools-5" ,qttools-5)
-       ("pkg-config" ,pkg-config)
-       ("c3d-src"
-        ,(let* ((commit "f521358db26e00002c911cc47bf463b043942ad3")
-                (revision "1")
-                (version (git-version "0" revision commit)))
-           (origin
-             (method git-fetch)
-             (uri (git-reference
-                   (url "https://github.com/pyushkevich/c3d")
-                   (commit commit)))
-             (file-name (git-file-name "c3d" version))
-             (sha256
-              (base32
-               "0kyv3rxrxwr8c3sa9zv01lsnhk95b27gx1s870k3yi8qp52h7bx3")))))
-       ;; We are using an arbitrary commit from 2017 because the latest
-       ;; version breaks the build...
-       ("greedy-src"
-        ,(let* ((commit "97e340f7e8e66597599144947775e6039e79a0d3")
-                (revision "1")
-                (version (git-version "0" revision commit)))
-           (origin
-             (method git-fetch)
-             (uri (git-reference
-                   (url "https://github.com/pyushkevich/greedy")
-                   (commit commit)))
-             (file-name (git-file-name "greedy" version))
-             (sha256
-              (base32
-               "0k5bc9za4jrc8z9dj08z1rkcp5xf0gnd1d2jmi1w9ny4vxh2q2ab")))))))
-    (home-page "https://sourceforge.net/p/itk-snap/")
-    (synopsis "Medical image segmentation")
-    (description "ITK-SNAP is a tool for segmenting anatomical structures in
-medical images.  It provides an automatic active contour segmentation
-pipeline, along with supporting a manual segmentation toolbox.  ITK-SNAP has a
-full-featured UI aimed at clinical researchers.")
-    ;; This includes the submodules greedy and c3d.
-    (license license:gpl3+)))
-
 (define-public metapixel
   ;; Follow stable branch.
   (let ((commit "98ee9daa093b6c334941242e63f90b1c2876eb4f"))